# BEGIN SourceDeps(oneline):
BuildRequires: perl(Time/HiRes.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Math-Random-MT-Auto
Version:        6.22
Release:        alt1_2
Summary:        Auto-seeded Mersenne Twister PRNGs
License:        BSD 
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Math-Random-MT-Auto/
Source0:        http://www.cpan.org/authors/id/J/JD/JDHEDDEN/Math-Random-MT-Auto-%{version}.tar.gz

BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(Exception/Class.pm)
BuildRequires:  perl(Fcntl.pm)
BuildRequires:  perl(Object/InsideOut.pm)
BuildRequires:  perl(Object/InsideOut/Util.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(XSLoader.pm)
# Tests only:
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(threads.pm)
BuildRequires:  perl(threads/shared.pm)
# Optional tests
BuildRequires:  perl(LWP/UserAgent.pm)
Requires:       perl(Exception/Class.pm) >= 1.32
Requires:       perl(Fcntl.pm)
Requires:       perl(Object/InsideOut.pm) >= 3.88
Requires:       perl(Scalar/Util.pm) >= 1.23



# Removed underpsecified dependencies



Source44: import.info
%filter_from_requires /^^perl\\(Exception::Class\\)$/d
%filter_from_requires /^^perl\\(Object::InsideOut\\)/d
%filter_from_requires /^^perl\\(Scalar::Util\\)/d
%filter_from_requires /^perl\\(Object.InsideOut\\)$/d

%description
The Mersenne Twister is a fast pseudo-random number generator (PRNG) that is
capable of providing large volumes (> 10^6004) of "high quality"
pseudo-random data to applications that may exhaust available "truly" random
data sources or system-provided PRNGs such as rand.



%prep
%setup -q -n Math-Random-MT-Auto-%{version}
chmod -x examples/*

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README examples
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Math*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 6.22-alt1_2
- update to new release by fcimport

* Mon Sep 17 2012 Igor Vlasenko <viy@altlinux.ru> 6.22-alt1_1
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 6.21-alt2_1
- rebuild with new perl

* Mon Aug 27 2012 Igor Vlasenko <viy@altlinux.ru> 6.21-alt1_1
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 6.18-alt1_3
- update to new release by fcimport

* Tue Jun 05 2012 Igor Vlasenko <viy@altlinux.ru> 6.18-alt1_1
- fc import

